%define upstream_name    Pod-Weaver-Section-Support
%define upstream_version 1.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add a SUPPORT section to your POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(PPIx::DocumentName)
BuildRequires: perl(Pod::Weaver::Role::Section) >= 3.100.710
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This section plugin will produce a hunk of pod that lists the various ways
to get support for this module. It will do this only if it is being built
with the Dist::Zilla manpage because it needs the data from the dzil
object.

If you have the Dist::Zilla::Plugin::Repository manpage enabled in your
_dist.ini_, be sure to check the repository_link attribute!

This is added *ONLY* to the main module's POD, because it would be a waste
of space to add it to all modules in the dist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.14.0-2.mga10
+ Revision: 2218608
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 1.14.0-1.mga10
+ Revision: 1981011
- update to 1.014

* Mon Mar 21 2022 umeabot <umeabot> 1.13.0-3.mga9
+ Revision: 1812330
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1.13.0-2.mga8
+ Revision: 1547338
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 1.13.0-1.mga8
+ Revision: 1487911
- update to 1.013

* Sun Dec 29 2019 tv <tv> 1.12.0-1.mga8
+ Revision: 1474846
- update to 1.012
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 22 2019 tv <tv> 1.11.0-1.mga8
+ Revision: 1469392
- update to 1.011

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-2.mga7
+ Revision: 1285829
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 tv <tv> 1.10.0-1.mga7
+ Revision: 1214079
- update to 1.010

* Tue Oct 24 2017 shlomif <shlomif> 1.8.0-1.mga7
+ Revision: 1173376
- update to 1.008

* Sun Jun 19 2016 pterjan <pterjan> 1.7.0-3.mga6
+ Revision: 1032390
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 966821
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.7.0-1.mga6
+ Revision: 846910
- update to 1.007

* Sun Oct 19 2014 umeabot <umeabot> 1.5.0-6.mga5
+ Revision: 789224
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-5.mga5
+ Revision: 741656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-4.mga5
+ Revision: 686046
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 514244
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 372102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 1.5.0-1.mga2
+ Revision: 191272
- update to 1.005

* Wed Jun 15 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 107356
- update to 1.004

* Tue Mar 15 2011 jquelin <jquelin> 1.3.0-1.mga1
+ Revision: 71751
- imported package perl-Pod-Weaver-Section-Support


* Tue Mar 15 2011 cpan2dist 1.003-1mga
- initial mageia release, generated with cpan2dist
